KNotifyDialog Class Reference

`#include <knotifydialog.h>`

Inherits KDialogBase.

## Public Member Functions

| KNotifyDialog (QWidget *parent=0, const char *name=0, bool modal=true, const KAboutData *aboutData=KGlobal::instance() ->aboutData())
virtual | ~KNotifyDialog ()
virtual void | addApplicationEvents (const char *appName)
virtual void | addApplicationEvents (const QString &path)
virtual void | clearApplicationEvents ()

## Static Public Member Functions

static int | configure (QWidget *parent=0, const char *name=0, const KAboutData *aboutData=KGlobal::instance() ->aboutData())

## Detailed Description

KNotifyDialog presents an interface for configuring an application's KNotify events.

Rather than requiring the user to wade through the entire list of applications' events in KControl, your application can make the list of its own notifications available here.

Typical usage is calling the static configure() method:

(void) KNotifyDialog::configure( someParentWidget );

Since
  3.1

Author
  Carsten Pfeiffer pfeif.nosp@m.fer@.nosp@m.kde.o.nosp@m.rg

Definition at line 52 of file knotifydialog.h.

## Constructor & Destructor Documentation

KNotifyDialog::KNotifyDialog | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | bool | modal = `true`,
|  | const KAboutData * | aboutData = `KGlobal::instance()->aboutData()`
| ) |  |

If you want a non-modal dialog, you need to instantiate KNotifyDialog yourself instead of using the configure() method.

KDE4.0 modal default will be false.

Parameters

  parent | The parent widget for the dialog
  name | The widget name
  modal | If true, this will be a modal dialog, otherwise non-modal.
  aboutData | A pointer to a KAboutData object. KAboutData::appName() will be used to find the KNotify events (in the eventsrc file). Set this to 0L if you want to add all events yourself with addApplicationEvents().

Definition at line 161 of file knotifydialog.cpp.

KNotifyDialog::~KNotifyDialog | ( |  | ) |

virtual

Destroys the KNotifyDialog.

Definition at line 177 of file knotifydialog.cpp.

## Member Function Documentation

void KNotifyDialog::addApplicationEvents | ( | const char * | appName | ) |

virtual

With this method, you can add the KNotify events of one eventsrc files to the view.

KNotifyDialog can handle events for multiple applications (i.e. eventsrc files). Successive calls with a different `appName` will add them.

Parameters

  appName | The application's name, i.e. the name passed to the KApplication constructor or KAboutData.

See also
  clearApplicationEvents()

Definition at line 181 of file knotifydialog.cpp.

void KNotifyDialog::addApplicationEvents | ( | const QString & | path | ) |

virtual

With this method, you can add the KNotify events of one eventsrc files to the view.

KNotifyDialog can handle events for multiple applications (i.e. eventsrc files). Successive calls with a different `path` will add them.

Parameters

  path | The absolute or relative path to the eventsrc file to be configured. A relative path would be e.g. "kwin/eventsrc".

See also
  clearApplicationEvents()

Definition at line 187 of file knotifydialog.cpp.

void KNotifyDialog::clearApplicationEvents | ( |  | ) |

virtual

Removes all the events added with addApplicationEvents()

See also
  addApplicationEvents()

Definition at line 197 of file knotifydialog.cpp.

int KNotifyDialog::configure | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | const KAboutData * | aboutData = `KGlobal::instance()->aboutData()`
| ) |  |

static

Convenience method to create exec() a modal KNotifyDialog.

Parameters

  parent | The parent widget for the dialog
  name | The widget name
  aboutData | A pointer to a KAboutData object. KAboutData::appName() will be used to find the KNotify events (in the eventsrc file).

See also
  exec for the return values.

Returns
  The value of QDialog::exec()

Definition at line 154 of file knotifydialog.cpp.

The documentation for this class was generated from the following files:

- knotifydialog.h
- knotifydialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys